complexType "CreditLimitInformationExtended"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyInformation?, limitModel?, creditLimit*
</...>

Content Model Elements (3):

  creditLimit (defined in CreditLimitInformationExtended complexType),
  limitModel (defined in CreditLimitInformationExtended complexType),
  partyInformation (defined in CreditLimitInformationExtended complexType)

All Direct / Indirect Based Elements (2):

  creditLimitInformation (in restoreCredit), | creditLimitInformation (in setCreditLimit)

Known Usage Locations

- As direct type of elements (2):

  creditLimitInformation (in restoreCredit), | creditLimitInformation (in setCreditLimit)

XML Source (see within schema source)

<xsd:complexType name="CreditLimitInformationExtended"> <xsd:sequence> <xsd:element minOccurs="0" name="partyInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="limitModel" type="LimitModelEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimit" type="CreditLimitExtended"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
creditLimit

  Type: | CreditLimitExtended, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimit" type="CreditLimitExtended"/>

limitModel

  Type: | LimitModelEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: | "Ping", "Plus1ToStop", "Plus1ToPing", "PushToPing", "PushToStop"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="limitModel" type="LimitModelEnum"/>

partyInformation

  Type: | PartyTradeInformation, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="partyInformation" type="PartyTradeInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.